# Weedheim

*Grow your own weed farm! Roll doobies, craft a bong or make Fly agaric wine for special buffs!, craft yourself a new outfit, and more!*

![Main](https://i.imgur.com/rHjerIR.jpg)

![Image1](https://i.imgur.com/6TmHe4v.jpg)
##
![Image2](https://i.imgur.com/7N9NtIX.jpg)
##
![Image3](https://i.imgur.com/Icz2GVE.jpg)
##
![Image4](https://i.imgur.com/O2UsnDo.jpg)
##
![Image5](https://i.imgur.com/FZ06IqF.jpg)
##
![Image6](https://i.imgur.com/FibA8Ju.jpg)
##
![Image7](https://i.imgur.com/0pyqbOd.jpg)


## Features

### Growable Cannabis Plants

  * Purple Kush
  * Strawberry Cough
  * Honney Badger
  * Blueberry Punch  
  * Planting table workbench for crafting the different strains.  
  * Plants have also been added to the custom vegetation so they can bee found all around the world!

### Craftable Doobies and Bong

  * 4 craftable doobies and a bong with status effects.
  
  * Stoners table workbench for crafting.

### Craftable Fly Agaric Wine and Mushroom Brew

  * A craftable wine and brew with status effects. Made with mushrooms that have been added to custom vegitation.

### Craftable Hats & Clothing

  * 6 craftable hats.
  * 4 craftable outfits.
  * Loom workbench + Dye station extension for crafting cloth items.
  * Hemp Spinning Wheel for crafting hemp thread.
  
### Magic Wand Build Table
  * A craftable magic wand to build pieces with!
  
### Buildable Pieces
  * Purple Kush weed bundle and sack
  * Strawberry Cough weed bundle and sack
  * Honney Badger weed bundle and sack
  * Blueberry Punch weed bundle and sack
  * 5 x Banners
  * 5 x Tapestries
  * 5 x Rugs
  * Decorative Bong
  * Buddha Statue
  * Elephant Statue
  * Large Gong
  * Male Wood Carving
  * Female Wood Carving
  * Crystal Rasta Lights
  
### Custom Trader
  * Loki the dealer - Haldors & Hildirs distant cousin!
  * Buy seeds, spliffs and mushrooms from him
  * Spawns in Meadows and Black Forest biomes
  
  
## Configuration

Configuration options can be modified in-game (using Configuration Manager plugin).

![Configuration](https://i.imgur.com/jSXQYf8.jpg)


## Installation

### Manual

  * Un-zip the `Weedheim` folder to your `/Valheim/BepInEx/plugins/` folder.

### r2modman (manual)

  * Go to Settings > Import local mod > Select `Weedheim_v*.*.*.zip`.
  * Click "OK/Import local mod" on the pop-up for information.
  
### Notes
	* Plants will not spawn in already visited locations. You can use Upgrade World plugin to reset vegetation.
	* Loki will not spawn in already visited locations. You can use Upgrade World plugin to reset locations.
	* Comments/suggestions reach me on Nexus (Link at top right of this page).


<details><summary><strong>Change Log</strong></summary>
<br>   
<table>
<thead>
  <tr>
    <th>Version</th>
    <th>Changes</th>
  </tr>
</thead>
<tbody>
  <tr>
    <td>1.1.6</td>
    <td>
		Fixed no damage while using mushrooms
    </td>
  </tr>
  <tr>
    <td>1.1.5</td>
    <td>
		Added config option for grow timers
		Plants/Mushrooms can now be destroyed
    </td>
  </tr>
  <tr>
    <td>1.1.4</td>
    <td>
        Fixed hemp rope missing collider<br>	
		Removed Iron from crafting station recipes
    </td>
  </tr>
  <tr>
    <td>1.1.3</td>
    <td>
        Changed recipe for the Magic Wand. It can now be crafted with 1 x wood + 1 x greydwarf eye<br>
        Added plantable Flyagaric and Liberty Cap mushrooms<br>  
		Fixed cultivated ground setting not taking effect<br>	
		Removed Hemp Spinning Wheel and added the conversion to the vanilla spinning wheel for compatibility with other plugins
    </td>
  </tr>
  <tr>
    <td>1.1.2</td>
    <td>
        Fixed missing textures/meshes for large tent<br>
        Fixed sleeping bag spawn point       
    </td>
  </tr>
  <tr>
    <td>1.1.1</td>
    <td>
		Added Hemp Cloth<br>
        Added Hemp Rope<br>
        Added Campsite Tents + Sleeping Bag<br>
        Added config options for Campsite<br>
        Added config options for Plant/Mushroom spawning<br>
        Added config options for Bud/Leaf drops        
    </td>
  </tr>
  <tr>
    <td>1.1.0</td>
    <td>Update for Valheim 0.217.22 and BepInEx to 5.4.22</td>
  </tr>
  <tr>
    <td>1.0.9</td>
    <td>
        Added 2 More Banners<br>
        Added 2 More Tapestries<br>
        Added 5 Rugs<br>
        Added 4 Outfits<br>
        Added 1 Hat<br>
        Added 2 Statues<br>
        Added 2 Carvings<br>
        Added 1 Gong<br>
        Added Hemp Leaf drop<br>
        Added Hemp Thread<br>
        Added Hemp Spinning Wheel<br>
        Added Hemp Capes (removed linen capes)<br>
        Updated Lokis Camp<br>
        Removed Hildirs Clothing - (already another plugin that adds Hildirs clothing to a workbench)<br>
    </td>
  </tr>
  <tr>
    <td>1.0.8</td>
    <td>Fixed error when changing config settings</td>
  </tr>
  <tr>
    <td>1.0.7</td>
    <td>Fixed some textures<br>
        Added more config options</td>
  </tr>
  <tr>
    <td>1.0.6</td>
    <td>
        Fixed Liberty Cap not spawning<br>
        Added Loki the Dealer as a new trader
    </td>
  </tr>
  <tr>
    <td>1.0.5</td>
    <td>
        Fixed Plant Colliders<br>
        Fixed Trader Error<br>
        Added Magic Wand<br>
        Added Weed Bundles<br>
        Added Weed Sacks<br>
        Added Banners<br>
        Added Tapestries
    </td>
  </tr>
  <tr>
    <td>1.0.4</td>
    <td>
        Fixed Workbench Icons<br>
        Added Liberty Cap Mushrooms<br>
        Added Mushrooms Brew
    </td>
  </tr>
  <tr>
    <td>1.0.3</td>
    <td>Collider Fixes</td>
  </tr>
  <tr>
    <td>1.0.2</td>
    <td>Update NexusID</td>
  </tr>
  <tr>
    <td>1.0.1</td>
    <td>Thunderstore Test</td>
  </tr>
  <tr>
    <td>1.0.0</td>
    <td>Initial Release</td>
  </tr>
</tbody>
</table>
</details>